Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 439550 - x11-plugins/pidgin-otr-3.2.1 - configure: error: libotr 3.2.0 or newer is required.
Summary: x11-plugins/pidgin-otr-3.2.1 - configure: error: libotr 3.2.0 or newer is req...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-24 20:29 UTC by Gary E. Miller
Modified: 2013-06-20 14:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,6.13 KB, text/plain)
2012-10-24 20:30 UTC, Gary E. Miller
Details
environment (environment,8.61 KB, text/plain)
2012-10-24 20:30 UTC, Gary E. Miller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gary E. Miller 2012-10-24 20:29:21 UTC
When libotr-4.0.0 is installed, emerge fails for pidgin-otr-3.2.1

Reproducible: Always

Steps to Reproduce:
1. emerge =net-libs/libotr-4.0.0
2. emerge =x11-plugins/pidgin-otr-3.2.1
3.
Actual Results:  
checking for libotr CFLAGS... 
checking for libotr LIBS...  -lotr
checking for libotr headers version 3.x >= 3.2.0... not present.
checking for otrl_message_receiving in -lotr... yes
configure: error: libotr 3.2.0 or newer is required.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-plugins/pidgin-otr-3.2.1/work/pidgin-otr-3.2.1/config.log


Expected Results:  
Successful emerge.

robin ~ # emerge --info '=x11-plugins/pidgin-otr-3.2.1'
Portage 2.1.11.30 (default/linux/amd64/10.0/desktop, gcc-4.6.3, glibc-2.15-r3, 3.6.2-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.6.2-gentoo-x86_64-AMD_E-350_Processor-with-gentoo-2.2
Timestamp of tree: Wed, 24 Oct 2012 16:45:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.9-r1
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.2
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.4
sys-devel/binutils:       2.23
sys-devel/gcc:            4.6.3, 4.7.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=btver1 -mtune=btver1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=btver1 -mtune=btver1"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp/"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://spidey.rellim.com/gentoo-portage"
USE="X a52 aac acl acpi adns alsa amd64 apng ares asyncdns avahi bash-completion bcmath berkdb bluetooth bound branding bzip2 cairo caps cdda cdr cli consolekit cracklib crypt cups curl cxx dbus declarative djbfft dlz dri dts dvb dvd dvdr e2 ecwj2k egl emboss encode exif expat faac faad fam fftw firefox fits flac fontconfig foomaticdb fortran fpx g g3dvl gcrypt gd gdbm geoip geos gif gimp gles1 gles2 glib gml gmp gnutls gost gpm gps grass gsl gsm gstreamer gtk hardened hdf iconv icu id3tag ipv6 jack jbig jpeg jpeg2k kde ladspa lame lcms libcanberra libedit libffi libmpeg2 libnotify libsamplerate libv4l2 lm_sensors lzma lzo mad matroska md5sum mhash mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses netcdf netlink network nls nptl ntp ogdi ogg openexr opengl openmp openssl openvg osmesa pam pango pcntl pcre pdf pdfimport penexr perl png pnm policykit ppds pppd pulseaudio pyqt4 python q32 q8 qt3support qt4 raw readline realtime rpz sdl session sharedmem shm shout smi smp sndfile snmp spatialite speex spell sql sqlite sse sse2 sse3 sse4a ssh ssl ssse3 sssvg startup-notification svg t1lib tcpd theora threads tiff truetype twolame udev udisks unicode upower urandom usb utp v4l2 v8 vaad vim-syntax vorbis vpx webkit webkit2 wifi wmf wps wxwidgets x264 xattr xcb xcomposite xft xine xinerama xml xmlndr xorg xosd xosine xpm xrender xsl xulrunner xv xvid xvmc zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="vesa radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

robin ~ # emerge -pqv '=x11-plugins/pidgin-otr-3.2.1'
[ebuild     UD] x11-plugins/pidgin-otr-3.2.1 [4.0.0]
Comment 1 Gary E. Miller 2012-10-24 20:30:22 UTC
Created attachment 327330 [details]
build.log
Comment 2 Gary E. Miller 2012-10-24 20:30:42 UTC
Created attachment 327332 [details]
environment
Comment 3 Gary E. Miller 2012-10-24 20:34:46 UTC
Looks like somehow I had libotr-4.0.0 auto-unmasked, but not pidgin-otr-4.0.0, but the ebuild should catch that.
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2013-06-20 14:25:18 UTC
+  20 Jun 2013; Lars Wendler <polynomial-c@gentoo.org> -pidgin-otr-3.2.0.ebuild,
+  pidgin-otr-3.2.1.ebuild, pidgin-otr-4.0.0.ebuild:
+  Fixed dependency on libotr (bug #439550 by Gary E. Miller). Removed old
+  (vulnerable?) version. Converted remaining ebuilds to EAPI-5.
+